> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewergetpermissions



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/getPermissions
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/getPermissions:
    post:
      tags:
        - Viewer
      operationId: Viewer_GetPermissions
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPermissionsRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPermissionsResult'
components:
  schemas:
    GetPermissionsRequest:
      allOf:
        - $ref: '#/components/schemas/BaseMessage'
        - type: object
          additionalProperties: false
          properties:
            DestinationIds:
              type: array
              nullable: true
              items:
                type: string
    GetPermissionsResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Items:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/PermissionResultItem'
    BaseMessage:
      allOf:
        - $ref: '#/components/schemas/Message'
        - type: object
          additionalProperties: false
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    PermissionResultItem:
      allOf:
        - $ref: '#/components/schemas/ResultItem2'
        - type: object
          additionalProperties: false
          properties:
            DestinationId:
              type: string
              nullable: true
            Owner:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/OwnerData'
            Acl:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Ace'
    Message:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Context:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MessageContext'
    ResultItem2:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: integer
          format: int32
    OwnerData:
      type: object
      additionalProperties: false
      properties:
        Owner:
          type: string
          nullable: true
        Inherited:
          type: boolean
        Path:
          type: string
          nullable: true
    Ace:
      allOf:
        - $ref: '#/components/schemas/AceLight'
        - type: object
          additionalProperties: false
          properties:
            Inherited:
              type: boolean
            Path:
              type: string
              nullable: true
    MessageContext:
      type: object
      additionalProperties: false
      properties:
        CorrelationId:
          type: string
          nullable: true
        UserId:
          type: string
          nullable: true
        Pads4UserId:
          type: string
          nullable: true
        Domain:
          type: string
          nullable: true
        Claims:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UserClaim'
        SecondaryIdentities:
          type: array
          nullable: true
          items:
            type: string
        ImpersonationId:
          type: string
          nullable: true
    AceLight:
      type: object
      additionalProperties: false
      properties:
        Identity:
          type: string
          nullable: true
        Allow:
          type: boolean
        Permissions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Permission'
    UserClaim:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true
    Permission:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true

````